/*
    Парус 8 - Панели мониторинга - Редактор панелей
    Компоненты: Форма (общие константы)
*/

//---------------------
//Подключение библиотек
//---------------------

import PropTypes from "prop-types"; //Контроль свойств компонента

//----------------
//Интерфейс модуля
//----------------

//Структура элемента формы
export const ITEM_SHAPE = PropTypes.shape({
    name: PropTypes.string.isRequired,
    caption: PropTypes.string.isRequired,
    unitCode: PropTypes.string,
    unitName: PropTypes.string,
    showMethod: PropTypes.string,
    showMethodName: PropTypes.string,
    parameter: PropTypes.string,
    inputParameter: PropTypes.string,
    outputParameter: PropTypes.string
});

//Начальное состояние элемента формы
export const ITEM_INITIAL = {
    name: "",
    caption: "",
    unitCode: "",
    unitName: "",
    showMethod: "",
    showMethodName: "",
    parameter: "",
    inputParameter: "",
    outputParameter: ""
};

//Начальное состояние элементов формы
export const ITEMS_INITIAL = [];

//Ориентация элементов формы
export const ORIENTATION = {
    H: "H",
    V: "v"
};
